<!--*****************************************************************
*      UOC - TFC - Desarrollo de aplicaciones móviles HTML5         *
*																	*
* File: movil.php                                             		*
* Author: José María Polo Peromarta <chema@informaticapolo.com>     *
*																	*
* Date:		5 May 2014  											*
*                                           						*
* Inputs: 	gestorBD			   									*
*                                                           		*
* Outputs:	servicio, n_servicio, establecimiento, n_establecimiento*
*																	*
* Nota: Carga la estructura principal, y el div donde se			*
* 		mostrarán los resulados										*
******************************************************************-->
<!--librerias -->
<?php require("gestorBD/gestorBD.php"); ?>

<main id="main">
 <div>
	<?php
	//controlamos que se pueda acceder al gestor de base de datos y se pueda cargar la función 
	
	if (!function_exists('CargaEspecialidades')) {
		
		echo "<div class='fondoMensajeError01'><p class='mensajeError01'>ERROR: la función CargaEspecialidades no está definida</p></div><br>";
	}
	else if (!function_exists('CargaActividades')){
	
		echo "<div class='fondoMensajeError01'><p class='mensajeError01'>ERROR: la función CargaActividades no está definida</p></div><br>";
	}
	else{
		//guardamos en un array los servicios y en otro los establecimientos
		$servicios = CargaEspecialidades(); 
		$establecimientos = CargaActividades(0);
	}
	
	?>
    <!--Mostramos el botón para escoger servicio o establecimiento-->
    <div id="pregunta">
    	<span>Servicio </span>
    	<span class="botonA"><img src="../img/sistema/bselec_A_124x54.png" width="124" height="54" alt="Info" /> </span>
    	<span class="botonB"><img src="../img/sistema/bselec_B_124x54.png" width="124" height="54" alt="Info" /> </span>
    	<span>Establecimiento</span>
    
    </div>
	
    <br />
    <form id="ser_esta" name="ser_esta" method="post" action="vistas/mostrarResultados.php" >
    
    	<select id="servicios" name="servicios">
        
        	<option selected="selected" value="#"> Seleccione un servicio médico ...</option>
    
    		<?php for ($i = 0; $i < count($servicios); $i++) {
					
				echo "<option value='".$servicios[$i]['idespe']."'> ". $servicios[$i]['nombre']."</option>";		

         	}//end for ?>
            
      	</select>
        
        
       
        <select id="establecimientos" name="establecimientos">
        
        	<option selected="selected" value="#"> Seleccione un establecimiento ...</option>
    
    		<?php for ($j = 0; $j < count($establecimientos); $j++) {
					
				echo "<option value='".$establecimientos[$j]['idact']."'> ". $establecimientos[$j]['nombre']."</option>";		

         	}//end for ?>
            
      	</select>

        
	</form>
    
    <!--<p><a class='colorbox' href="http://www.policlinicoquirurgico.com" title="CPQ">CPQ</a></p>-->
    
    
</div>

<div id="resultados">

</div>
</main>
<script>

	$(document).ready(function(){
		
		var anchoVentana = $( window ).width();
		
		if (anchoVentana< 481){
			
    			$(".colorbox").colorbox({iframe:true, innerWidth:200, innerHeight:300});
		
		}
		
		else if (481< anchoVentana & anchoVentana<769){
			
    			$(".colorbox").colorbox({iframe:true, innerWidth:500, innerHeight:409});
		}
		
		else{
			
				$(".colorbox").colorbox({iframe:true, innerWidth:800, innerHeight:600});
		}
		
		
		//Gestion de botones superiores INFO y VOLVER
		$('.bvolver').hide();
		$('.bvolver2').hide();
		$('.bvolver3').hide();
		$('.binfo2').hide();
		$('.binfo3').hide();
		$('.botonB').hide();

		$('.binfo').mouseover(function() {
            $(this).hide();
			$('.binfo2').show();
        });
		
		$('.binfo2').mouseleave(function() {
            $(this).hide();
			$('.binfo').show();
			$('.binfo3').hide();
        });
		
		$('.binfo2').click(function() {
            $(this).hide();
			$('.binfo3').show();
			
        });
		
		
		$('.bvolver').mouseover(function() {
            $(this).hide();
			$('.bvolver2').show();
        });
		
		$('.bvolver2').mouseleave(function() {
            $(this).hide();
			$('.bvolver').show();
			$('.bvolver3').hide();
        });
		
		$('.bvolver2').click(function() {
            $(this).hide();
			$('.bvolver3').show();
			
			window.location.reload();
			
        });
		
		//Mostramos Servicios o Establecimientos
		
		$('.botonA').click(function() {
            $(this).hide();
			$('.botonB').show();
			$('#establecimientos').fadeIn(1500);
			$('#servicios').hide();
        });
		$('.botonB').click(function() {
            $(this).hide();
			$('.botonA').show();
			$('#servicios').fadeIn(1500);
			$('#establecimientos').hide();
        });
		
		//gestion de contenido
		$('#resultados').hide();
		$('#resultados').hide();
		
		$('#establecimientos').hide();
	
		$("#servicios").change(function(event){
			
			var n_servicio = $( "#servicios" ).val(); //nos devuelve el val del select
			var servicio = document.getElementById('servicios').options[document.getElementById('servicios').selectedIndex].text; //nos devuelve el nombre
			
			//controlamos que no se escoja la primera opción ya que según el navegador guarda la selección anterior y al recargar la página podría seleccionar la primera opción.
			if (n_servicio =="#"){
				
				alert ("Selección erronea, vuelva a intentar...");
				
			}
			else{
				
				$('#resultados').fadeIn(1500);
				$('#servicios').hide();
				$('#pregunta').hide();
				$('.trans').hide();
				$('.bvolver').fadeIn(1500);
				
				//cargamos en el div correspondiente los datos, enviamos servicio y n_servicio	
				$('#resultados').load("vistas/mostrarResultados.php",{ servicio:servicio , n_servicio:n_servicio },function(responseTxt,statusTxt,xhr){
			   
					if(statusTxt=="error")
			   			alert("Error: "+xhr.status+": "+xhr.statusText);
			   
  				});
			}
		
        });//end function servicios change
		
		$("#establecimientos").change(function(event){
			
			var n_establecimiento = $( "#establecimientos" ).val(); //nos devuelve el val del select
			var establecimiento = document.getElementById('establecimientos').options[document.getElementById('establecimientos').selectedIndex].text; //nos devuelve el nombre
			
			//controlamos que no se escoja la primera opción ya que según el navegador guarda la selección anterior y al recargar la página podría seleccionar la primera opción.
			if (n_establecimiento =="#"){
			
				alert ("Selección erronea, vuelva a intentar...");
			
			}
			else{
				
				$('#resultados').fadeIn(1500);
				$('#establecimientos').hide();
				$('#pregunta').hide();
				$('.trans').hide();
				$('.bvolver').fadeIn(1500);
			
				//cargamos en el div correspondiente los datos, enviamos establecimiento y n_establecimiento	
				$('#resultados').load("vistas/mostrarResultados.php",{ establecimiento:establecimiento , n_establecimiento:n_establecimiento},function(responseTxt,statusTxt,xhr){
			   
					if(statusTxt=="error")
			   			alert("Error: "+xhr.status+": "+xhr.statusText);
			   
  				});
			}
		
        });//end function establecimientos change
		
		
	});//end document ready

</script>